Assembly Instruction Step Tool
The assembly instruction step tool resource.
/assemblyInstructionStepToolList assembly instruction step tools
Retrieve a paginated list of assembly instruction step tools. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/assemblyInstructionStepTool?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"stepId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"sortOrder": 0,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]/assemblyInstructionStepToolRetrieve a assembly instruction step tool
Fetch a single assembly instruction step tool by filtering on `id`.
Query parameters
idstringMatch on the assembly instruction step tool's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/assemblyInstructionStepTool?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"stepId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"sortOrder": 0,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/assemblyInstructionStepToolCreate a assembly instruction step tool
Create a new assembly instruction step tool.
Body parameters
stepIdstringrequiredReferences assemblyInstructionStep.id
itemIdstringrequiredReferences item.id
quantitynumberrequiredsortOrdernumberrequiredcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/assemblyInstructionStepTool \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"stepId":"xyz789","itemId":"xyz789","quantity":10,"sortOrder":0,"companyId":"xyz789"}'{
"id": "abc123def456",
"stepId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"sortOrder": 0,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/assemblyInstructionStepToolUpdate a assembly instruction step tool
Update an existing assembly instruction step tool, matched on `id`.
Body parameters
stepIdstringrequiredReferences assemblyInstructionStep.id
itemIdstringrequiredReferences item.id
quantitynumberrequiredsortOrdernumberrequiredcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/assemblyInstructionStepTool?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"stepId":"xyz789"}'{
"id": "abc123def456",
"stepId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"sortOrder": 0,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/assemblyInstructionStepToolDelete a assembly instruction step tool
Delete a assembly instruction step tool, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the assembly instruction step tool to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/assemblyInstructionStepTool?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'